#import "~/graphql_shared/fragments/page_info.fragment.graphql"

query getAddOnEligibleUsers(
  $fullPath: ID!
  $addOnType: GitlabSubscriptionsAddOnType!
  $addOnPurchaseIds: [GitlabSubscriptionsAddOnPurchaseID!]!
  $sort: GitlabSubscriptionsUserSort!
  $search: String
  $first: Int
  $last: Int
  $after: String
  $before: String
  $filterByAssignedSeat: String
) {
  namespace(fullPath: $fullPath) {
    id
    addOnEligibleUsers(
      addOnType: $addOnType
      addOnPurchaseIds: $addOnPurchaseIds
      sort: $sort
      search: $search
      first: $first
      last: $last
      after: $after
      before: $before
      filterByAssignedSeat: $filterByAssignedSeat
    ) {
      nodes {
        id
        username
        name
        publicEmail
        avatarUrl
        webUrl
        lastActivityOn
        maxRole @client
        membershipType @client
        addOnAssignments(addOnPurchaseIds: $addOnPurchaseIds) {
          nodes {
            # eslint-disable-next-line @graphql-eslint/require-id-when-available
            addOnPurchase {
              name
            }
          }
        }
      }
      pageInfo {
        ...PageInfo
      }
    }
  }
}
